# PATCH /scheduled-communications/:scheduled_id

**Resource:** [Scheduled Communications](./scheduled-communications.md)  
**MCP tool:** `update_scheduled_communication`  
**Scopes:** `dispatcher:write`  
**Write operation:** yes

Update a pending scheduled communication (only while status=pending).

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `scheduled_id` | path | string | yes |  |
| `scheduled_for` | body | string | no |  |
| `payload` | body | object | no |  |

## Request example

```bash
curl -X PATCH   "https://api.trustpager.com/functions/v1/api/v1/scheduled-communications/:scheduled_id"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"scheduled_for":"...","payload":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`